Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleFloat Class Reference

参照方法が複数ある柔軟なfloat型を扱うクラス。 More...

## Public Member Functions
| FlexibleFloat ()
| FlexibleFloatデフォルトコンストラクタ More...
| FlexibleFloat (float value)
| FlexibleFloatコンストラクタ More...
| FlexibleFloat (FloatParameterReference parameter)
| FlexibleFloatコンストラクタ More...
| FlexibleFloat (float minRange, float maxRange)
| FlexibleFloatコンストラクタ More...
| FlexibleFloat (InputSlotFloat slot)
| FlexibleFloatコンストラクタ More...

## Static Public Member Functions
static | operator float (FlexibleFloat flexible)
| FlexibleFloatをfloatにキャスト。 More...
static | operator FlexibleFloat (float value)
| floatをFlexibleFloatにキャスト。 More...

## Properties
FlexiblePrimitiveType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
float | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なfloat型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleFloat | ( |  | ) |

FlexibleFloatデフォルトコンストラクタ

FlexibleFloat | ( | float | value | ) |

FlexibleFloatコンストラクタ

Parameters

  value | 値

FlexibleFloat | ( | FloatParameterReference | parameter | ) |

FlexibleFloatコンストラクタ

Parameters

  parameter | パラメータ

FlexibleFloat | ( | float | minRange,
|  | float | maxRange
| ) |  |

FlexibleFloatコンストラクタ

Parameters

  minRange | 最小範囲。
  maxRange | 最大範囲。

FlexibleFloat | ( | InputSlotFloat | slot | ) |

FlexibleFloatコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

static operator FlexibleFloat | ( | float | value | ) |
| explicit static

floatをFlexibleFloatにキャスト。

Parameters

  value | float

static operator float | ( | FlexibleFloat | flexible | ) |
| explicit static

FlexibleFloatをfloatにキャスト。

Parameters

  flexible | FlexibleFloat

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexiblePrimitiveType type
| get

Typeを返す

float value
| get

値を返す